Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003694TestLinkThird party componentspublic2010-08-20 13:462010-08-31 20:26
ReporterJulian 
Assigned ToJulian 
PrioritylowSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003694: Allow multisort on ext-js grid tables
DescriptionImplement multisort functionality that allows users to sort by multiple columns of the table consecutively .

user should be able to:
- add further multisort buttons by dragging column header onto toolbar
- reorder existing multisort buttons to influence sort oder
- toggle direction of sorting (asc , desc)

Example:

Table has columns: title, version, priority, status

By default toolbar will offer 2 buttons to consecutively sort by title (desc) and by priority (desc). -> table will be sorted first by title than by priority

user can reorder those buttons -> sort first by priority than by title

user can drag status and (or) version column onto toolbar -> table will be sorted by 4 (3) values consecutively.

see example here:
http://dev.sencha.com/deploy/dev/examples/grid/multiple-sorting.html [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010958)
Julian (reporter)
2010-08-26 13:45
edited on: 2010-08-26 13:46

MultiSort feature ready.
In contrary to description toolbar is initialized with no multisort buttons.
users can drag column headers to the toolbar. the order of the buttons shows the sort order. button order can be changed by dragging buttons to another position. multisort buttons can be deleted by shift-clicking on them. sort direction can be changed by clicking on the button.
Tooltips are available to assist users.

MultiSort feature is enabled by default -> to be discussed

(0010959)
Julian (reporter)
2010-08-26 14:32

There are some known issues for this feature.

issues also present on ext js example:
- drag 2 column header to toolbar, change order, drag another header to toolbar -> button chaos
- sometimes blue arrows dont disappear if column is draged over another column
- column headers can be dragged to the toolbar where non-multisort buttons are

is it a bug or is it a feature ?
- when adding multisort buttons to toolbar, table still indicates prior sorting in column header
- clicking on column header sorts by single column -> multisortbuttons are ignored
Reason: user can choose sort method while both are available
Alternative:
1. if at least 1 multisort button exists -> hide sort icon from column header
2. if column header is clicked to sort by this column -> remove all multisort buttons
(0010993)
Julian (reporter)
2010-08-29 11:11

resolved for beta6
(0011021)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-08-20 13:46 Julian New Issue
2010-08-20 13:46 Julian Status new => assigned
2010-08-20 13:46 Julian Assigned To => Julian
2010-08-23 14:17 Julian Description Updated View Revisions
2010-08-26 08:56 Julian Status assigned => work in progress
2010-08-26 13:45 Julian Note Added: 0010958
2010-08-26 13:45 Julian Status work in progress => feedback
2010-08-26 13:46 Julian Note Edited: 0010958 View Revisions
2010-08-26 14:32 Julian Note Added: 0010959
2010-08-26 14:32 Julian Status feedback => assigned
2010-08-26 14:41 Julian Status assigned => feedback
2010-08-29 11:11 Julian Note Added: 0010993
2010-08-29 11:11 Julian Status feedback => assigned
2010-08-29 11:11 Julian Status assigned => resolved
2010-08-29 11:11 Julian Fixed in Version => 1.9 Beta 6
2010-08-29 11:11 Julian Resolution open => fixed
2010-08-29 14:08 fman Product Version 1.9 (Prague) => 1.9 Beta 5
2010-08-31 20:26 fman Note Added: 0011021
2010-08-31 20:26 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker